FinchBlistManager Struct Reference

Buddylist manager for finch. More...

`#include <gntblist.h>`

## Data Fields

const char * | id
| An identifier for the manager.
const char * | name
| Displayable name for the manager.
gboolean(* | init )(void)
| Called right before it's being used.
gboolean(* | uninit )(void)
| Called right after it's not being used any more.
gboolean(* | can_add_node )(PurpleBlistNode *node)
| Whether a node should be added to the view.
gpointer(* | find_parent )(PurpleBlistNode *node)
| Find the parent row for a node.
gboolean(* | create_tooltip )(gpointer selected_row, GString **body, char **title)
| Create tooltip for a selected row.
gpointer | reserved [4]

## Detailed Description

Buddylist manager for finch.

This decides the visility, ordering and hierarchy of the buddylist nodes. This also manages the creation of tooltips.

Definition at line 40 of file gntblist.h.

The documentation for this struct was generated from the following file:

- gntblist.h